\documentclass[../main.tex]{subfiles}
\graphicspath{{\subfix{../images/}}}

\begin{document}

\section{Management Process}

% \subsection{Management structure of EIDA}
The strategy for defining KPIs and their intended audience may explain the good performance and low cost of the system, and may potentially be useful for others who wish to design a similar system.
In the following we will use the term \textbf{EMB} for the EIDA Management Board, composed of one member from each of the EIDA primary nodes and \textbf{ETC} for the EIDA Technical Committee composed of engineers from the EIDA nodes (with at least one member per EIDA Primary node).

\subsection{User driven approach to define the required indicators}\label{sec:define_stats}

The EMB decided to design the usage indicators system with a pragmatic approach based on an assessment of which information is needed by whom, and for which purpose.
This was a four step process, based on the most common use cases of the indicators system: identifying target user groups, identifying KPIs for each of them, specifying granularity levels of the KPIs and finally choosing the most relevant time buckets.
.

\subsubsection{Identifying target user groups}
In the first step, the EMB identified four priority target user groups:
\begin{itemize}
  \item Network technical staff, either field personnel or local station managers.
        The purpose could be, for example, to demonstrate impact at institutional level, or to prioritise field interventions depending on how much data from a station are used.
  \item Principal Investigator, here defined as the scientific manager of a temporary or a permanent seismic network.
        Their needs can be the same as those above (in some cases it may even be the same person), with additional purposes related to network wide needs, such as funding of network activities, or demonstration of scientific impact of previous temporary experiments, either for career or for funding purposes.
  \item EIDA node managers. This group has KPI needs that are similar to those of Principal Investigator, but at network level, for example to prioritise data integration between networks, calculation of quality metrics, interaction with network operators etc.
        EIDA nodes additionally need KPIs at node level, related to management and funding at institutional, regional, national and European level.
  \item EMB. The EMB mainly needs to provide overall KPIs to ORFEUS and to EPOS, and needs to demonstrate EIDA impact for funding purposes.
\end{itemize}

As can be seen from the list above, different levels of management need information at different granularity.
Note that the funding agencies or the institutions are not listed as priority users, as the EMB considered that the information to defend funding proposals and yearly budgets should be prepared by the management at each level, to present the information in a consistent form with the funding agency's expectancy and formats.
Also, the general public and scientific users are not included in the priority target user groups.

\subsubsection{Identifying KPIs for each group}
The second step was to define and prioritise which information these target user groups need, formulated as a set of questions which a user may ask. These priority questions are:

\begin{description}
    \item[How many requests?] The number of correctly formatted data requests made through \texttt{fdsnws-dataselect}. This number demonstrates how many the requests the EIDA node needs to process, independently of whether there are any available data.
    \item[How many successful requests?] The number of data requests that actually delivered data.
    \item[How much data shipped?] The volume delivered through \texttt{fdsnws-dataselect} service.
    \item[How many distinct users?] The number of different users that requested data.
    \item[How many authenticated users?] The number of different users that authenticate while requesting data.
    \item[Geographical distribution of requests?] The numbers above, associated with the country from where the requests have been issued.
\end{description}


\subsubsection{Identifying granularity levels for the KPIs}
In the third step, the EMB identified different levels of granularity for the response to the questions, to be able to define which level of information is the most important for each targeted user group:

\begin{description}
    \item[Station] Values at station level.
    \item[Network] Values for a seismological network as a whole.
    \item[Node] Values across all data holdings of an EIDA node.
    \item[EIDA] Values across all EIDA nodes.
\end{description}

\subsubsection{Identifying time buckets}
In the fourth and final step, the EMB defined over which time periods the data should be aggregated.
The size of the time buckets will have a direct impact on the database size and request processing time.
For all of the user groups defined above, the KPI are meaningful for yearly or monthly statistics.

\subsubsection{Restricting KPI access at network level}\label{sec:kpiopenness}

While the general strategy is to have the KPIs as openly accessible as possible, the EMB identified at a later stage that KPI access at network level is under the authority of the network managers.
Therefore, it was required that the access to the KPIs can be restricted at network level.

\subsection{Presenting the requirements to the technical staff}

In order to ease the communication process between management board and technical committee, the EMB produced a matrix representing the combinations of all parameters.
A colour code was given for the criticality of the combination of user target group, question and granularity.
The ETC was asked to make sure that all top criticalities were addressed by the system, and to the extent, possible that lower levels were addressed as well, in the order of criticality that was indicated in case of conflict.
% An excerpt of this table is provided in appendix \ref{appx:matrix}.

This matrix (see Supplementary Material 1) has served as an overview for all the requirements of the project and was a reference document throughout the development phase.
\end{document}

%%% Local Variables:
%%% mode: latex
%%% ispell-local-dictionary: en_GB
%%% End:
